
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 05.02.2001

class List extends Command
{
	String strs[] = new String[100];
	int count = 0;

	String[] getStrings()
	{
		String strs2[] = new String[count];
		for (int i = 0; i < count; i++)
			strs2[i] = strs[i];
		return strs2;
	}

	void processHint(String str)
	{
		if (count == strs.length)
		{
			String[] old = strs;
			strs = new String[count + 100];
			for (int i = 0; i < count; i++)
				strs[i] = old[i];
		}

		strs[count++] = str;
	}

	public void run(String path)
	{
		execCommand("list " + spaceToEsc(path));
		super.run();
	}
}
